import request from '@/utils/request'

// 查询谷歌验证信息列表
export function listGoogleUser(query) {
  return request({
    url: '/system/googleUser/list',
    method: 'get',
    params: query
  })
}

// 查询谷歌验证信息详细
export function getGoogleUser(authId) {
  return request({
    url: '/system/googleUser/' + authId,
    method: 'get'
  })
}

// 新增谷歌验证信息
export function addGoogleUser(data) {
  return request({
    url: '/system/googleUser',
    method: 'post',
    data: data
  })
}

// 修改谷歌验证信息
export function updateGoogleUser(data) {
  return request({
    url: '/system/googleUser',
    method: 'put',
    data: data
  })
}

// 删除谷歌验证信息
export function delGoogleUser(authId) {
  return request({
    url: '/system/googleUser/' + authId,
    method: 'delete'
  })
}
